{% extends 'index.twig' %}

{% block content %}
    <section id="title" class="emerald">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <br>
                    <h1>Регистрация</h1>
                </div>
                <div class="col-sm-6">
                    <ul class="breadcrumb pull-right">
                        <li><a href="news">Главная</a></li>
                        <li class="active">Регистрация</li>
                    </ul>
                </div>
            </div>
        </div>
    </section><!--/#title-->

    <section id="registration" class="container">
        <form class="center" role="form" onsubmit="return validateForm()" name="registration_form" method="post" enctype= "multipart/form-data">
            <div class="col-xs-12 col-md-4">
                <fieldset class="registration-form">
                    <div class="icon-star"> Обязательно</div>
                    <hr>
                    <div class="form-group">
                        <input type="text" id="login" name="login" placeholder="Логин" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="text" id="email" name="email" placeholder="E-mail" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="password" id="password" name="password" placeholder="Пароль" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="password" id="password_confirm" name="password_confirm" placeholder="Подтверждение пароля" class="form-control">
                    </div>
                </fieldset>
            </div>
            <div class="col-xs-12 col-md-4">
                <img id="uploadPreview" style="width: 280px; height: 280px;" />
            </div>
            <div class="col-xs-12 col-md-4">
                <fieldset class="registration-form">
                    <div class="icon-star-empty"> По желанию</div>
                    <hr>
                    <div class="form-group">
                        <input type="text" id="first-name" name="first-name" placeholder="Имя" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="text" id="last-name" name="last-name" placeholder="Фамилия" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="text" id="site" name="site" placeholder="Сайт" class="form-control">
                    </div>
                    <div class="form-group">
                        <label class="btn btn-default btn-file"> Выбрать аватар <input id="uploadImage" type="file" name="photo" style="display: none;" onchange="PreviewImage();">
                        </label>
                    </div>
                </fieldset>
            </div>

            <div class="col-md-4">
            </div>

            <div class="col-md-4">
                <div class="form-group">
                    <div id="message">
                    </div>
                    <hr>
                    <button class="btn btn-success btn-md btn-block">Регистрация</button>
                </div>
            </div>

            <div class="col-md-4">
            </div>
        </form>
    </section><!--/#registration-->

    <script>
        function validateForm() {
            var login = document.forms["registration_form"]["login"].value;
            var email = document.forms["registration_form"]["email"].value;
            var password = document.forms["registration_form"]["password"].value;
            var password_confirm = document.forms["registration_form"]["password_confirm"].value;

            if (login == null || login == "") {
                $('#message').html('Поле "Логин" не может быть пустым!');
                return false;
            }
            if (email == null || email == "") {
                $('#message').html('Поле "Email" не может быть пустым!');
                return false;
            }
            if (password == null || password == "" || password_confirm == null || password_confirm == "") {
                $('#message').html('Поля "Пароль" и "Подтверждение пароля" не могут быть пустыми!');
                return false;
            }
            if (password != password_confirm) {
                $('#message').html('Введённые пароли не совпадают!');
                return false;
            }
        }
    </script>
    <script>
        function PreviewImage() {
            var oFReader = new FileReader();
            oFReader.readAsDataURL(document.getElementById("uploadImage").files[0]);
            oFReader.onload = function (oFREvent) {
                document.getElementById("uploadPreview").src = oFREvent.target.result;
                var link = oFREvent.target.result;
            };
        }
    </script>
{% endblock %}

